#! /bin/sh

rpmdir="/opt/xcat/kits/<<<buildkit_WILL_INSERT_kit_basename_HERE>>>/<<<buildkit_WILL_INSERT_kitcomponent_name_HERE>>>"

# if existing, first install
OT=`ls $rpmdir/intel-mic*`
if [ $? -ne 0 ]; then
    exit 0
fi

if [ -x "/etc/init.d/mpss" ]; then
    # stop the mpss service first
    /etc/init.d/mpss unload

    # remove the pkgs
    yum -y remove --noplugins --disablerepo=* intel-mic*    
fi

# install the new packages
yum -y install --nogpgcheck --noplugins --disablerepo=* $rpmdir/intel-mic*.rpm

# enable the mpss service
chkconfig mpss on
/etc/init.d/mpss start >/dev/null  2>&1 </dev/null

# remove the rpm files to prevent the repeat installation by updatenode
rm -rf $rpmdir/*

echo "finished the mpss installation."
exit 0
